# Generated from nRF24-ruby-0.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nRF24-ruby

Name: rubygem-%{gem_name}
Version: 0.0.6
Release: 1%{?dist}
Summary: Pure Ruby Driver and web-utilitity for Radio Chip nRF24
License: MIT
URL: https://github.com/arisi/nRF24-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Pure Ruby Driver and Utilitity with Http-server for the Ultra Cheap Radio Chip
nRF24 .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/nRF24_dual_bridge.rb
%{_bindir}/nRF24_MQTT-SN_bridge.rb
%{_bindir}/nRF24_MQTT-SN_client.rb
%{_bindir}/nRF24-scanner.rb
%{gem_instdir}/bin
%{gem_instdir}/http
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/examples

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.6-1
- Initial package
